Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.probdist
Class GammaDistFromMoments

    java.lang.Object
      umontreal.iro.lecuyer.probdist.ContinuousDistribution
          umontreal.iro.lecuyer.probdist.GammaDist
              umontreal.iro.lecuyer.probdist.GammaDistFromMoments

All Implemented Interfaces:
  Distribution

    public class GammaDistFromMoments

extends GammaDist

Extends the `GammaDist` distribution with constructors accepting the mean μ and variance σ2 as arguments instead of a shape parameter α and a scale parameter λ. Since μ = α/λ, and σ2 = α/λ2, the shape and scale parameters are α = μ2/σ2, and λ = μ/σ2, respectively.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`decPrec`

Constructor Summary
`GammaDistFromMoments(double mean, double var)` Constructs a gamma distribution with mean `mean`, and variance `var`.
`GammaDistFromMoments(double mean, double var, int d)` Constructs a gamma distribution with mean `mean`, variance `var`, and `d` decimal of precision.

Method Summary

Methods inherited from class umontreal.iro.lecuyer.probdist.GammaDist
`barF, barF, cdf, cdf, cdf, density, density, getAlpha, getInstanceFromMLE, getLambda, getMaximumLikelihoodEstimate, getMean, getMean, getMLE, getParams, getStandardDeviation, getStandardDeviation, getVariance, getVariance, inverseF, inverseF, inverseF, setParams, toString`

Methods inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`barF, inverseBisection, inverseBrent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GammaDistFromMoments

    public GammaDistFromMoments(double mean,
                                double var,
                                int d)

  Constructs a gamma distribution with mean `mean`, variance `var`, and `d` decimal of precision.

  Parameters:
    `mean` - the desired mean.
    `var` - the desired variance.
    `d` - the number of decimals of precision.

### GammaDistFromMoments

    public GammaDistFromMoments(double mean,
                                double var)

  Constructs a gamma distribution with mean `mean`, and variance `var`.

  Parameters:
    `mean` - the desired mean.
    `var` - the desired variance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.